Package libxyz :: Package core :: Module utils

[hide private]
[frames] | no frames]

# Module utils

source code

Functions | [hide private]

ustring(string, enc=None) Return unicode string | source code

bstring(bstr, enc=None) Return encoded byte string | source code

term_settings() Return current terminal settings | source code

setup_term() Terminal initialization | source code

restore_term(term_data) Restore terminal settings | source code

is_func(obj) Check if object is of function type | source code

intersect(s1, s2) Find intersection between two strings | source code

split_cmd(cmd) Split command line | source code

Function Details | [hide private]

### setup_term()

source code

Terminal initialization

Returns:
  Old terminal settings